# TdApi.LanguagePackString (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: LanguagePackString

Package it.tdlight.jni

# Class TdApi.LanguagePackString

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.LanguagePackString

Enclosing class:
  TdApi

    public static class TdApi.LanguagePackString
    extends TdApi.Object

Represents one language pack string.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`String` | `key` | String key.
`TdApi.LanguagePackStringValue` | `value` | String value; pass null if the string needs to be taken from the built-in English language pack.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`LanguagePackString()` | Represents one language pack string.
`LanguagePackString​(DataInput input)` |
`LanguagePackString​(String key, TdApi.LanguagePackStringValue value)` | Represents one language pack string.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### key

public String key
String key.

### value

public TdApi.LanguagePackStringValue value
String value; pass null if the string needs to be taken from the built-in English language pack.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### LanguagePackString

public LanguagePackString()
Represents one language pack string.

### LanguagePackString

public LanguagePackString​(String key, TdApi.LanguagePackStringValue value)
Represents one language pack string.

Parameters:
  `key` - String String key.
  `value` - LanguagePackStringValue String value; pass null if the string needs to be taken from the built-in English language pack.

### LanguagePackString

public LanguagePackString​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`